# Clear the Online PIN Try Counter
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/pin-management/clear-online-pin-try-counter/index.md

## Overview {#overview}

The use case describes the process to reset the online PIN try counter for a specified card contract or all card contracts belonging to a specified client regardless of who is the account contract owner.

## Sequence diagram {#sequence-diagram}

Diagram clear-online-pin-try-counter

### Explanation {#explanation}

1. To clear the PIN try counter for all the card contracts that are in the CMS under a specified `clientId`, the server must send a `PUT` request to the `/clients/{client_id}/online-pin-attempts-counter` endpoint by passing the `clearAttemptsOnClientCards` field with the `true` value in the request body.  
   To clear the PIN try counter for a specified card contract, the server must send a `PUT` request to the `/cards/{card_contract_id}/online-pin-attempts-counter` endpoint by passing the required `cleared` field with the `true` value in the request body.
2. The API returns the HTTP `204`.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/pin-management/clear-online-pin-try-counter/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoints {#endpoints}


API Reference: `PUT /clients/{client_id}/online-pin-attempts-counter`


API Reference: `PUT /cards/{card_contract_id}/online-pin-attempts-counter`

<br />

